Bug 126613 - gpilotd crashes when synchronising greek characters with evolution
gpilotd crashes when synchronising greek characters with evolution
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 126785 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 15:12 EDT by rohirrim
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 17:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rohirrim 2004-06-23 15:12:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I am trying to get my palm to synchronise with evolution. The device
is a PalmOne Tungsten T3, running the standard palmos 5.2 ROM + PiLOC
(http://palm.penreader.com/index.html), the greek version in
particular (http://greek.palm.penreader.com/Greek_PiLoc.html) in order
to support greek characters. Synchronisation worked with RedHat 9 and
Fedora Core 1, although the actual characters were not properly
transfered to evolution (they appear as letters with umlauts, french
accents etc). In short, it worked, but there was an encoding problem.
I believe (but could be mistaken) that PiLOC uses the windows greek
encoding.

However, when trying this under fedora core 2, gpilotd crashes.
Starting gpilotd from console and pressing the cradle button, gives me
the following output:
------
gpilotd-Message: gnome-pilot 2.0.10 starting...
gpilotd-Message: compiled for pilot-link version 0.11.8
gpilotd-Message: compiled with [VFS] [USB] [IrDA] [Network]
gpilotd-Message: Activating CORBA server
gpilotd-Message: bonobo_activation_active_server_register = 0
gpilotd-Message: Watching Cradle (/dev/ttyUSB1)
gpilotd-Message: setting PILOTRATE=57600
gpilotd-Message: Cradle Cradle has 0 events
gpilotd-Message: Instantiating 7 conduits...
** Message: time_file: creating time conduit
ecalconduit-Message: in calendar's conduit_get_gpilot_conduit
 
etodoconduit-Message: in todo's conduit_get_gpilot_conduit
 
MALconduit-Message: Last sync was day 139, today is 174
memo-file-conduit-Message: creating memo_file conduit
eaddrconduit-Message: in address's conduit_get_gpilot_conduit
 
gpilotd-Message: Instantiated 0 backup conduits, 1 file conduits, 6
other conduits
gpilotd-Message: HotSync button pressed, synchronizing pilot
gpilotd-Message: Pilot ID is 22804, name is PalmT3, owner is rohirrim
gpilotd-Message: Pilot has 0 entries in restore queue
gpilotd-Message: Pilot has 0 entries in conduit queue
gpilotd-Message: Pilot has 0 entries in file install queue
eaddrconduit-Message:
---------------------------------------------------------
 
eaddrconduit-Message: pre_sync: Addressbook Conduit v.0.1.2
eaddrconduit-Message:   Current URI
file:///home/szachari/evolution/local/Contacts/addressbook.db
(file:///home/szachari/evolution/local/Contacts/addressbook.db)
 
eaddrconduit-Message:     doing fast sync
 
eaddrconduit-Message: beginning for_each
eaddrconduit-Message: iterating over 76 records
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['' ''
'X\xef\xed\xef\xea\xdc\xf1\xf4��']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['' ''
'\xef\xec\xec\xf9\xf4\xde\xf1���']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['Dui' 'Daniel' '']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['' '' 'Royal Festival Hall']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete
['\xeb\xe5\xee\xe9\xdc\xe4\xe7\x27' '\xe1\xf1\xef\xeb\xdf\xed\xe1\x27' '']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete
['\xf3\xe1\xed\xf4\xdf\xeb\xe7�' ''���' '']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['Arshad' 'Usman' '']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['' '' 'Asa Kusa']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['Dentist
(\xef\xed����������)'
'�����' '']
 
eaddrconduit-Message: Not Syncable
eaddrconduit-Message: delete_record: delete ['Holmberg' 'Evie' '']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['' '' 'Royal Albert Hall']
 
eaddrconduit-Message: Syncable
eaddrconduit-Message: delete_record: delete ['Sykes' 'Adam' '']
 
eaddrconduit-Message: Syncable
 
(process:11132): GLib-CRITICAL (recursed) **: file gstring.c: line 672
(g_string_erase): assertion `pos >= 0' failed
aborting...
 
(process:11132): gpilotd-Message (recursed): Exiting (caught SIGINT)...
aborting...
Multiple segmentation faults occurred; can't display error dialogue

----

(I also get a "This program has crashed" dialog and I am prompted to
inform the developers, which I did).

(I set the conduits to overwrite evolution with the palm data).

As you can see, synchronisation starts to happen, up until greek
characters are found. Bear in mind that this is not only specific to
the address conduit.

I decided against filing this bug on gnome-pilot-conduits-2.0.10-2.1 ,
because although the conduits are involved, gpilotd shouldn't crash right?

I would be willing to send a developer my addressbook database etc.,
but I would rather not have it posted on bugzilla...

Thank you for your help, work & great product and (obviously) feel
free to email me any queries.

Version-Release number of selected component (if applicable):
gnome-pilot-2.0.10-6.1

How reproducible:
Always

Steps to Reproduce:
1. Configure/start gpilotd
2. Start the hotsync operation. Wait until greek characters
3. Crash!
    

Actual Results:  gpilotd crashes, data are not synchronised, device
times out.

Expected Results:  gpilotd should not crash, hotsync should be
completed successfuly, data should end up in evolution.

Additional info:
Comment 1 Filippo Bosi 2004-06-25 03:59:18 EDT
same thing happens to me. But I have no greek characters, only Euro
symbol in some notes. The "problem" is that gpilotd crashes after
having sync'ed other notes with euro sign without any problem
Comment 2 Filippo Bosi 2004-06-25 04:25:41 EDT
The problems seems to lie in a glib2 bug not patched in FC2 glib2 rpms

from
http://www.inference.phy.cam.ac.uk/mcdavey/downloads/index.html#glib2-patch

"Fedore core 2 shipped with a bug in the escape_string() function in
gmessages.c. For a little more information, see the gnome bugzilla.
This bug has since been fixed, and here are some unofficial RPMs that
include the fix"

After having installed those rpms, sync completes ok.
Comment 3 rohirrim 2004-06-25 06:13:11 EDT
Hi,

After installing the patched RPMS, sync completes ok here as well.

Thanks!

Stef
Comment 4 Matthew Miller 2005-04-26 11:55:26 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 John Thacker 2006-10-25 17:02:44 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Sounds like it's fixed.
Comment 7 John Thacker 2006-10-25 17:02:59 EDT
*** Bug 126785 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.